Package org.eclipse.emf.cdo

# Interface CDOLock.CDOAcquiredLock

All Superinterfaces:
  `AutoCloseable`

Enclosing interface:
  CDOLock

public static interface CDOLock.CDOAcquiredLock extends AutoCloseable
Captures additional information about an `acquired` lock, such as whether it is `recursive`.

Since:
  4.16
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`CDOLock`
`getLock()`
`CDOObject`
`getObject()`
`Set<CDOLockOwner>`
`getOwners()`
`org.eclipse.net4j.util.concurrent.IRWLockManager.LockType`
`getType()`
`boolean`
`isLocked()`
`boolean`
`isLockedByOthers()`
`boolean`
`isRecursive()`

## Method Details

### getLock

CDOLock getLock()

### getObject

CDOObject getObject()

### getType

org.eclipse.net4j.util.concurrent.IRWLockManager.LockType getType()

### getOwners

Set<CDOLockOwner> getOwners()

### isLocked

boolean isLocked()

### isLockedByOthers

boolean isLockedByOthers()

### isRecursive

boolean isRecursive()

### close

void close()

Specified by:
  `close` in interface `AutoCloseable`